package com.tzld.longarticle.recommend.server.web.recommend;

import com.tzld.longarticle.recommend.server.common.response.CommonResponse;
import com.tzld.longarticle.recommend.server.model.param.videoAudit.ArticleAuditParam;
import com.tzld.longarticle.recommend.server.model.param.videoAudit.ArticleVideoAuditListParam;
import com.tzld.longarticle.recommend.server.model.param.videoAudit.AuditFilterParam;
import com.tzld.longarticle.recommend.server.model.param.videoAudit.VideoAuditParam;
import com.tzld.longarticle.recommend.server.model.vo.ArticleVideoAuditListVO;
import com.tzld.longarticle.recommend.server.service.recommend.ArticleVideoAuditService;
import com.tzld.longarticle.recommend.server.util.page.Page;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/articleVideoAudit")
@Slf4j
public class ArticleVideoAuditController {

    @Autowired
    ArticleVideoAuditService service;

    @PostMapping("/list")
    public CommonResponse<Page<ArticleVideoAuditListVO>> articleVideoAuditList(@RequestBody ArticleVideoAuditListParam param) {
        return CommonResponse.success(service.list(param));
    }

    @PostMapping("/auditArticle")
    public CommonResponse<Void> auditArticle(@RequestBody ArticleAuditParam param) {
        service.auditArticle(param);
        return CommonResponse.success();
    }

    @PostMapping("/auditVideo")
    public CommonResponse<Void> auditVideo(@RequestBody VideoAuditParam param) {
        service.auditVideo(param);
        return CommonResponse.success();
    }

    @PostMapping("/getFilterValue")
    public CommonResponse<List<String>> getFilterValue(@RequestBody AuditFilterParam param) {
        return CommonResponse.success(service.getFilterValue(param));
    }


    @GetMapping("/rematchVideoAudit")
    public CommonResponse<Void> rematchVideoAudit(String contentId) {
        service.rematchVideoAudit(contentId);
        return CommonResponse.success();
    }

}
